<?xml version="1.0"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
	<id>https://gothongs.minti.cloud/index.php?action=history&amp;feed=atom&amp;title=MediaWiki%3AGadget-dark-mode.css</id>
	<title>MediaWiki:Gadget-dark-mode.css - Revision history</title>
	<link rel="self" type="application/atom+xml" href="https://gothongs.minti.cloud/index.php?action=history&amp;feed=atom&amp;title=MediaWiki%3AGadget-dark-mode.css"/>
	<link rel="alternate" type="text/html" href="https://gothongs.minti.cloud/index.php?title=MediaWiki:Gadget-dark-mode.css&amp;action=history"/>
	<updated>2026-04-20T01:03:54Z</updated>
	<subtitle>Revision history for this page on the wiki</subtitle>
	<generator>MediaWiki 1.42.1</generator>
	<entry>
		<id>https://gothongs.minti.cloud/index.php?title=MediaWiki:Gadget-dark-mode.css&amp;diff=664&amp;oldid=prev</id>
		<title>Minti: Created page with &quot;/* WikimediaUI Dark Mode  *  * Wikimedia Design Team 2019-2021  * Original authors:  * - Volker E. – User:Volker_E._(WMF)  * - Alex Hollender  * - MusikAnimal  * - Carolyn Li-Madeo  * - Jdlrobson  *  * Original at https://en.wikipedia.org/wiki/User:Volker_E._(WMF)/dark-mode.css  * Version for Gadget CSS skin override usage only.  * Basically removed of all interaction element styles and  * set to `html` instead of JS injected `.client-dark-mode` class.  *  * Last u...&quot;</title>
		<link rel="alternate" type="text/html" href="https://gothongs.minti.cloud/index.php?title=MediaWiki:Gadget-dark-mode.css&amp;diff=664&amp;oldid=prev"/>
		<updated>2024-09-02T23:01:39Z</updated>

		<summary type="html">&lt;p&gt;Created page with &amp;quot;/* WikimediaUI Dark Mode  *  * Wikimedia Design Team 2019-2021  * Original authors:  * - Volker E. – &lt;a href=&quot;/User:Volker_E._(WMF)&quot; title=&quot;User:Volker E. (WMF)&quot;&gt;User:Volker_E._(WMF)&lt;/a&gt;  * - Alex Hollender  * - MusikAnimal  * - Carolyn Li-Madeo  * - Jdlrobson  *  * Original at https://en.wikipedia.org/wiki/User:Volker_E._(WMF)/dark-mode.css  * Version for Gadget CSS skin override usage only.  * Basically removed of all interaction element styles and  * set to `html` instead of JS injected `.client-dark-mode` class.  *  * Last u...&amp;quot;&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;/* WikimediaUI Dark Mode&lt;br /&gt;
 *&lt;br /&gt;
 * Wikimedia Design Team 2019-2021&lt;br /&gt;
 * Original authors:&lt;br /&gt;
 * - Volker E. – [[User:Volker_E._(WMF)]]&lt;br /&gt;
 * - Alex Hollender&lt;br /&gt;
 * - MusikAnimal&lt;br /&gt;
 * - Carolyn Li-Madeo&lt;br /&gt;
 * - Jdlrobson&lt;br /&gt;
 *&lt;br /&gt;
 * Original at https://en.wikipedia.org/wiki/User:Volker_E._(WMF)/dark-mode.css&lt;br /&gt;
 * Version for Gadget CSS skin override usage only.&lt;br /&gt;
 * Basically removed of all interaction element styles and&lt;br /&gt;
 * set to `html` instead of JS injected `.client-dark-mode` class.&lt;br /&gt;
 *&lt;br /&gt;
 * Last updated: 2021-04-20&lt;br /&gt;
 *&lt;br /&gt;
 */&lt;br /&gt;
&lt;br /&gt;
/** To prevent &amp;#039;jumping&amp;#039; effect within #p-personal in Vector/Monobook. Overrides [[MediaWiki:Gadget-dark-mode-toggle-pagestyles.css]] **/&lt;br /&gt;
body.skin-vector-legacy :not(#pt-darkmode) + #pt-watchlist::before,&lt;br /&gt;
body.skin-monobook :not(#pt-darkmode) + #pt-watchlist::before {&lt;br /&gt;
	content: &amp;quot;Light mode&amp;quot;;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
@media screen {&lt;br /&gt;
	&lt;br /&gt;
/* set height for monobook and timeless, because the filter in FF needs dimensions to get it to apply */&lt;br /&gt;
html {&lt;br /&gt;
    height: 100%;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Filter needs to reside on `html`, see https://phabricator.wikimedia.org/T221425#5153917 */&lt;br /&gt;
html,&lt;br /&gt;
/* All other selectors have `filter` double-applied to turn back to “normal” by inheritance */&lt;br /&gt;
html img:not( .mw-invert ),&lt;br /&gt;
html video:not( .mw-invert ),&lt;br /&gt;
html ogvjs:not( .mw-invert ),&lt;br /&gt;
html svg:not( .mw-invert ),&lt;br /&gt;
html iframe:not( .mw-invert ),&lt;br /&gt;
html .mw-no-invert,&lt;br /&gt;
html .cdx-no-invert,&lt;br /&gt;
html td .diffchange,&lt;br /&gt;
html .wvui-typeahead-suggestion__thumbnail,&lt;br /&gt;
html .skin-minerva .mw-notification-visible .mw-notification-content,&lt;br /&gt;
html .oo-ui-searchWidget-results .oo-ui-iconElement-icon,&lt;br /&gt;
html .list-thumb,&lt;br /&gt;
/* Extensions */&lt;br /&gt;
html .media-viewer .image img,&lt;br /&gt;
html .media-viewer .mw-file-description img {&lt;br /&gt;
	filter: invert( 1 ) hue-rotate( 180deg );&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Reset overrides, needed where double application above isn&amp;#039;t working. */&lt;br /&gt;
/* Vector modern */&lt;br /&gt;
html .skin-vector .mw-logo-wordmark,&lt;br /&gt;
html .skin-vector .mw-logo-tagline,&lt;br /&gt;
html .skin-timeless .mw-wiki-title &amp;gt; img,&lt;br /&gt;
html .wvui-icon svg,&lt;br /&gt;
html .mw-ext-score img,&lt;br /&gt;
html .skin-invert img,&lt;br /&gt;
html .skin-invert-image img,&lt;br /&gt;
html .mw-hiero-table img {&lt;br /&gt;
	filter: none;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Backgrounds */&lt;br /&gt;
html table,&lt;br /&gt;
html table.ambox-content,&lt;br /&gt;
html table.toccolours,&lt;br /&gt;
html .mw-notification,&lt;br /&gt;
html .mwe-popups,&lt;br /&gt;
html .infobox,&lt;br /&gt;
html .toc,&lt;br /&gt;
html .thumbinner,&lt;br /&gt;
html figure[typeof~=&amp;#039;mw:File/Thumb&amp;#039;],&lt;br /&gt;
html figure[typeof~=&amp;#039;mw:File/Frame&amp;#039;],&lt;br /&gt;
html figure[typeof~=&amp;#039;mw:File/Thumb&amp;#039;] &amp;gt; figcaption,&lt;br /&gt;
html figure[typeof~=&amp;#039;mw:File/Frame&amp;#039;] &amp;gt; figcaption,&lt;br /&gt;
html .wikitable,&lt;br /&gt;
html .cbnnr-main,&lt;br /&gt;
html .cx-callout,&lt;br /&gt;
html .overlay.media-viewer,&lt;br /&gt;
html #simpleSearch,&lt;br /&gt;
html #simpleSearch #searchInput,&lt;br /&gt;
html #siteNotice #centralNotice .cnotice {&lt;br /&gt;
	background-color: #ddd;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Borders */&lt;br /&gt;
html body,&lt;br /&gt;
html h1,&lt;br /&gt;
html h2,&lt;br /&gt;
html h3,&lt;br /&gt;
html h4,&lt;br /&gt;
html h5,&lt;br /&gt;
html h6,&lt;br /&gt;
html table.ambox-content,&lt;br /&gt;
html table.toccolours,&lt;br /&gt;
html .mw-notification,&lt;br /&gt;
html .infobox,&lt;br /&gt;
html .toc,&lt;br /&gt;
html .thumbinner,&lt;br /&gt;
html figure[typeof~=&amp;#039;mw:File/Thumb&amp;#039;],&lt;br /&gt;
html figure[typeof~=&amp;#039;mw:File/Frame&amp;#039;],&lt;br /&gt;
html figure[typeof~=&amp;#039;mw:File/Thumb&amp;#039;] &amp;gt; figcaption,&lt;br /&gt;
html figure[typeof~=&amp;#039;mw:File/Frame&amp;#039;] &amp;gt; figcaption,&lt;br /&gt;
html #mw-head,&lt;br /&gt;
html #mw-panel,&lt;br /&gt;
/* Vector 2022 uses a transparent border for margin collapsing&lt;br /&gt;
(T312822) so don&amp;#039;t apply this rule there */&lt;br /&gt;
.skin-vector-legacy #content.mw-body,&lt;br /&gt;
html #simpleSearch,&lt;br /&gt;
html #simpleSearch #searchInput,&lt;br /&gt;
html #siteNotice #centralNotice .cnotice {&lt;br /&gt;
	border-color: #cdcbc8;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Links */&lt;br /&gt;
/* Links: normal */&lt;br /&gt;
html a,&lt;br /&gt;
html .vector-menu-tabs li a,&lt;br /&gt;
/* Backwards compatible VectorTabs, deprecated in MW v1.35. */&lt;br /&gt;
html .vectorTabs li a,&lt;br /&gt;
html .toctogglelabel,&lt;br /&gt;
html .mw-parser-output a.external,&lt;br /&gt;
html .mw-parser-output a.extiw,&lt;br /&gt;
html .mw-parser-output a.extiw:active,&lt;br /&gt;
html #mw-panel .portal .body li a {&lt;br /&gt;
	/* color: #69f; Proposal below for level AA conformance, see also https://phabricator.wikimedia.org/T233266&lt;br /&gt;
	   `#36c` is transformed by :root `filter` to be closer to chosen `#69f`. */&lt;br /&gt;
	color: #36c;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Links: visited */&lt;br /&gt;
html a:visited,&lt;br /&gt;
html .mw-parser-output a.extiw:visited,&lt;br /&gt;
html #mw-panel .portal .body li a:visited {&lt;br /&gt;
	/* color: #709bbd; Proposal below uses to-be-standardized color from https://phabricator.wikimedia.org/T213778 */&lt;br /&gt;
	color: #6b4ba1;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Links: red */&lt;br /&gt;
html a.new,&lt;br /&gt;
html .vector-menu-tabs li.new a,&lt;br /&gt;
html .vectorTabs li.new a {&lt;br /&gt;
	color: #ff6e6e;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* ::: Special Element Treatments ::: */&lt;br /&gt;
/* Image thumbnails */&lt;br /&gt;
html .thumbimage,&lt;br /&gt;
html figure[typeof~=&amp;#039;mw:File/Thumb&amp;#039;] &amp;gt; :not(figcaption) .mw-file-element,&lt;br /&gt;
html figure[typeof~=&amp;#039;mw:File/Frame&amp;#039;] &amp;gt; :not(figcaption) .mw-file-element {&lt;br /&gt;
	border: 0;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Content image (thumbnail) SVGs */&lt;br /&gt;
/* `*not( .mbox-image )` exception doesn&amp;#039;t work for unclear reasons */&lt;br /&gt;
html .image img[ src*=&amp;#039;svg&amp;#039; ],&lt;br /&gt;
html .mw-file-description img[ src*=&amp;#039;svg&amp;#039; ],&lt;br /&gt;
html img[ src*=&amp;#039;Wiktionary-logo&amp;#039;] {&lt;br /&gt;
	background-color: #fff;&lt;br /&gt;
	border-radius: 1px;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Dealing with false positives from selector above */&lt;br /&gt;
html .mw-echo-ui-notificationItemWidget-icon img[ src*=&amp;#039;svg&amp;#039; ],&lt;br /&gt;
html .mbox-image .image img[ src*=&amp;#039;svg&amp;#039; ],&lt;br /&gt;
html .mbox-image .mw-file-description img[ src*=&amp;#039;svg&amp;#039; ],&lt;br /&gt;
/* Emoji generated by [[Template:Emoji]] */&lt;br /&gt;
html .emoji .image img,&lt;br /&gt;
html .emoji .mw-file-description img,&lt;br /&gt;
/* Vote symbols on Talk pages */&lt;br /&gt;
html .image img[ alt^=&amp;quot;Symbol&amp;quot; ],&lt;br /&gt;
html .mw-file-description img[ alt^=&amp;quot;Symbol&amp;quot; ] {&lt;br /&gt;
	background-color: transparent;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Page previews */&lt;br /&gt;
html .mwe-popups {&lt;br /&gt;
    box-shadow: 0 30px 90px -20px rgba( 0, 0, 0, 0.3 ), 0 0 1px #000;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
html .mwe-popups.flipped-y:after,&lt;br /&gt;
html .mwe-popups.flipped-x-y:after {&lt;br /&gt;
	border-top: 11px solid #ddd;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
html .mwe-popups.mwe-popups-no-image-pointer:after {&lt;br /&gt;
	border-bottom: 11px solid #ddd;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Contributions menu */&lt;br /&gt;
html .cx-callout-1:after {&lt;br /&gt;
	border-bottom-color: #ddd;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Mobile Wikipedia logo mobile header */&lt;br /&gt;
html .branding-box img {&lt;br /&gt;
	filter: brightness( 0 );&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
@-moz-document url-prefix() {&lt;br /&gt;
    body {&lt;br /&gt;
        background: #000;&lt;br /&gt;
    }&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
@-moz-document url-prefix() {   &lt;br /&gt;
	@supports (overflow-clip-margin: 1px) {     &lt;br /&gt;
		body {&lt;br /&gt;
			background: #fff;&lt;br /&gt;
		}   &lt;br /&gt;
	}&lt;br /&gt;
}&lt;/div&gt;</summary>
		<author><name>Minti</name></author>
	</entry>
</feed>